#!/bin/bash

if [ -f /etc/.SimpleShutdown ]
then
declare -ix bContinue=1
while test $bContinue -eq 1;
do
	echo " "
	echo -e "   Are you sure to uninstall Simple Shutdown from the computer?[ y/n ] \\c" 
        read reply </dev/tty
	case "$reply" in 
		[Yy])
			bContinue=0;
			echo " "
			echo "   Stopping the Simple Shutdown Service firstly......" 
			/usr/lib/ssd/master/AgentManager stop 2>/dev/null
			sleep 2;
			killall -9 SimpleShudownDaemon 2>/dev/null
			killall -9 SimpleShutdownService 2>/dev/null
			killall -9 AgentManager 2>/dev/null
			rm -fr /usr/lib/ssd/
			rm -f /etc/.SimpleShutdown

			case `uname -n` in
				debian)
				update-rc.d SimpleShutdown remove 2>&1 >/dev/null
				rm -f /etc/init.d/SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/rc1.d/SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/rc2.d/SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/rc3.d/SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/rc5.d/SimpleShutdown 2>&1 >/dev/null
				;;
				*)
				rm -f /etc/rc1.d/S99SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/rc2.d/S99SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/rc3.d/S99SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/rc5.d/S99SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/init.d/S99SimpleShutdown 2>&1 >/dev/null
				rm -f /etc/rc1.d/S99SimpleShutdownDaemon 2>&1 > /dev/null
				rm -f /etc/rc2.d/S99SimpleShutdownDaemon 2>&1 > /dev/null
				rm -f /etc/rc3.d/S99SimpleShutdownDaemon 2>&1 > /dev/null
				rm -f /etc/rc5.d/S99SimpleShutdownDaemon 2>&1 > /dev/null
				rm -f /etc/init.d/SimpleShutdownDaemon 2>&1 >/dev/null
			esac
			echo " "
			echo -e "   Simple Shutdown has been uninstalled from the computer." 
			echo " "
			exit 0;
			;;
		[Nn])
			bContinue=0;
			exit -1; 
			;;
		*)
			echo ""
			echo "   Wrong input, try again..."
			echo ""
			;;
	esac
done
else
	echo -e "   Simple Shutdown has been uninstalled from the computer."
fi

exit 1
