#ifndef	__STD_UNIX_H_
#define	__STD_UNIX_H_

#ifdef __cplusplus
extern "C"{
#endif

#include	<unistd.h>
#include	<stdio.h>
#include	<stdlib.h>
#include	<fcntl.h>
#include	<string.h>
#include	<strings.h>
#include	<time.h>
#include    <errno.h>
#include	<sys/time.h>
#include	<sys/wait.h>
#include	<sys/ipc.h>
#include    <sys/sem.h>
#include    <sys/msg.h>
#include 	<sys/un.h>
#include	<sys/socket.h>
#include	<sys/stat.h>
#include	<sys/shm.h>
#include	<sys/types.h>
#include	<signal.h>
#include	<netdb.h>
#include	<netinet/in.h>
#include 	<termios.h>
#include 	<stddef.h>
#include 	<sys/select.h>
#include <arpa/inet.h>
#include <dirent.h>

#include  <syslog.h>
#include 	<dlfcn.h>
#include	<net/if.h>


typedef	enum { FALSE, TRUE } 	BOOL;
typedef	unsigned char			BYTE;
typedef	unsigned char*			PBYTE;
typedef	unsigned short			WORD;
typedef	unsigned short*			PWORD;
typedef	unsigned int			DWORD;
typedef	unsigned int			UINT;

typedef	int						INT;
typedef	unsigned int 			ULONG;
typedef	unsigned int*			PDWORD;
typedef	struct sockaddr_in		SOCKADDR_IN;
typedef	struct sockaddr_in*		PSOCKADDR_IN;
typedef	struct sockaddr			SOCKADDR;
typedef	struct sockaddr*		PSOCKADDR;
typedef	char					CHAR;
typedef	char					TCHAR;

#ifdef __cplusplus
}
#endif

#endif
