#ifndef __USERCONFIGRES_H
#define __USERCONFIGRES_H

#ifdef __cplusplus
extern "C" {
#endif

char *pStrUI[] = 
{
	"[UI Image of Shutdown Parameter Configuration]\n", // 0
	"********************************************************************************\n", // 1
	"Shutdown Parameter\n", // 2
	"Please input the shutdown parameters of the %s (Master Agent).\n", // 3
	"0. Communication Port\n", // 4
	"Select Number:", // 5
	"3. AC fail delay time\n", // 6      modify  20110824
	"AC fail delay time(Sec):", // 7
	"(Default value is 60 Sec)\n", // 8
	"[Information]\n", // 9
	"* When UPS detects \"AC fail\" condition doesn't start shutdown action \n", // 10
	"  until pass this delay time.\n", // 11
	"* The range of AC fail delay time is from 0 Sec to 36000 Sec.\n", // 12
	"* The step between \"0 Sec to 36000 Sec\" is \"1 Sec\".\n", // 13
	"* The step between \"60 Sec to 36000 Sec\" is \"60 Sec\".\n", // 14	
	"4. External Command Line\n", // 15      modify  20110824
	"External Command Line: ", // 16
	"* After the AC fail delay time this External Command line will be execute\n", // 17
	"* Please setup an External Command\n", // 18 
	"5. External Command needs time\n" ,	// 19        modify  20110824
	"External Command needs time (Sec):",	// 20
	"(Default value is 0 Sec)\n",	// 21                                          modify 20110824
	"* Please setup an External Command needs time from External Command start \n",	// 22
	"  to External Command finish.\n",	// 23 
	"* The range of External Command need time is from 0 Sec to 600 Sec.\n",	// 24
	
	"* The step between \"0 Sec to 600 Sec\" is \"60 Sec\".\n      * If you use External Command for Virtual Server shutdown.\n        please setup External Command needs time for Guest OS shutdown.\n",               //25        add  20110824
      
	"6. OS shutdown need time\n", // 26
	"OS shutdown needs time (Sec):", // 27
	"(Default value is 180 Sec)\n", // 28
	"* Please setup an OS shutdown needs time from OS shutdown start \n",  // 29
	"  to OS shutdown finish.\n", // 30
	"* The range of OS Shutdown need time is from 0 Sec to 600 Sec.\n", // 31
	"* The step between \"0 Sec to 600 Sec\" is \"60 Sec\".\n", // 32
	"7. Send Message to login users\n", // 33
	"1. Disable 2. Enable\n", // 34
	"(Default Value is \"Disable\")\n", // 35
	"[Reconfirm shutdown parameter of the %s (Master Agent)].\n", // 36
	" AC fail Delay time (Sec):          ", // 37
	" External Command Line:             ", // 38 
	" External Command needs time (Sec): ", // 39
	" OS Shutdown needs time (Sec):      ", // 40 	
	" Send Message to login users:       ", // 41
	//62 should in this
	"1.OK 2.Cancel\n", // 42
	"Warning : input value is wrong, press Enter key to continue", // 43
	"No port\n", //44
	  
	"1. Port Selection Mode:\n",	//45
	"1. Auto Mode(Select all COM and USB device)\n",			//46
	"3. Manual Mode(Only select pointed COM port)\n", 		//47
	"(Default Mode is \"Auto Mode(Select all COM and USB device)\")\n", //48
	" Port Selection Mode:               ",//49
	"Available COM Port:\n",	//50
	"Please Select COM Port:", //51
	" Comunication Port:                 ",//52
	"(Default COM Port is \"COM%d\")\n", //53
	"2. Semiautomatic Mode(Only select all USB device)\n",			//54
	"Auto Mode(Select all COM and USB device)",				//55
	"Semiautomatic Mode(Only select all USB device)",				//56
	"Manual Mode(Only select pointed COM port)", 		//57
	"[END]", // 58
//add Ups communication select 2011-02-28
	"2. Select USB communication mode \n", //59   modify  20110824
	"1. Libusb 2. HID\n", //60
	"(Default Mode is \"Libusb\")\n", //61
	" Select USB communication mode :    ", //62
//add for support Hibernation
	"8. System closing mode \n", //63
	"1. Shutdown 2. Hibernate \n", //64      modify  20110824
	"(Default Mode is \"Shutdown\")\n", //65
	" System closing mode :              ",//66
//add for support KVM
	"9. Virtual Server shutdown mode \n", //67
	"1. Shutdown by Linux system 2. Shutdown by Simple Shutdown\n",//68       modify  20110824
	"(Default Mode is \"Shutdown by Linux system\")\n",//69
	" Virtual Server shutdown mode :     ",//70
//add for guest os shutdown mode allen20110916
	"10. Guest OS shutdown mode \n",   //71
	"1. Shutdown 2. Suspend \n",       //72
	"(Default Mode is \"Shutdown\")\n", //73
	" Guest OS shutdown mode :          ",//74
};

#ifdef __cplusplus
}
#endif

#endif
