#ifndef _SHAREMEMUPSCMD_H_
#define _SHAREMEMUPSCMD_H_

//#include "Protocol.h"


//#define CMD_LENGTH			16 //512
#define SHM_DATA_LENGTH		20

#define UPSDATAMAPPINGNAME	"Global\\SHARINGUPSDATA"// the name of sharing memory for UPS data
#define SYNCFILEMAPPING		"Global\\SyncFileMap"

#define OMRONDATAMAPPINGNAME	"Global\\SHARING_OMRON_DATA"
#define OMRONSYNCFILEMAPPING	"Global\\SyncFileMap_For_Omron"
typedef void * LPVOID;

class CShareMem 
{
public:
	CShareMem();
	CShareMem(int cCount,int cSize);
	virtual ~CShareMem();
	BOOL InitializeMem(int cCount,int cSize, char *lpShareMemName, char *lpMutantName, BOOL bInit);
	int GetDataSize() {return m_cDataSize;};
	int  GetDataCount() {return m_nDataCount;};
	BOOL Clear();
	BOOL Lock(DWORD dwMilliSeconds = INFINITE);
	BOOL Unlock();
	LPVOID GetData(int nIndex = 0);
	BOOL GetData(int nIndex ,LPVOID lpvData,int cSize);
	BOOL AddData(LPVOID lpvData,int cSize);
	BOOL SetData(int nIndex ,LPVOID lpvData,int cSize);
	BOOL Delete(int nIndex );
	void ReleaseHandle();

protected:
	LPVOID    m_lpvData;  
	int    m_cDataSize; 
	int     m_nDataCount; 
	BOOL    m_bInit;  
	int    m_hMutant; 
	int    m_hSharedMemoryFile; 
	CString    m_strMutantName;  
	CString    m_strShareMemName;  
	BOOL    m_bExist ;    
};

#endif // !defined// ShareMem.cpp: implementation of the CShareMem class.
